#!/usr/bin/python
# Copyright 2011 by Bdale Garbee <bdale@gag.com>.  GPLv2
#
# Program to emit PCB footprint for CUI PJ-037A
#

CUIFrontPinDiam = 3.17
CUIBackPinDiam = 3.65
CUIFromEdge = 7.7	# flush with PCB edge
CUIBetween = 6.0

ARing = 0.8
Clearance = 0.36

BoxWidth = 9.0
BoxDepth = 14.5

LineWidth = 1000

import sys

# we're going to use the 1/100 of a mil fundamental unit form
def mm2mils100( mm ):
	return int( mm / 25.4 * 1000.0 * 100.0 + 0.5 )

print '# author: Bdale Garbee'
print '# email: bdale@gag.com'
print '# dist-license: GPL 2'
print '# use-license: unlimited'

print 'Element[0x0 "PJ-037A" "" "" 0 0 0 0 0 100 0x0]'
print "("
print '   Pin[', \
    mm2mils100(CUIFromEdge), \
    mm2mils100(0), \
    mm2mils100(CUIFrontPinDiam+ARing), \
    mm2mils100(Clearance), \
    mm2mils100(CUIFrontPinDiam+ARing+Clearance), \
    mm2mils100(CUIFrontPinDiam), \
    '"2" "2"', '0x0001', ']'

print '   Pin[', \
    mm2mils100(CUIFromEdge+CUIBetween), \
    mm2mils100(0), \
    mm2mils100(CUIBackPinDiam+ARing), \
    mm2mils100(Clearance), \
    mm2mils100(CUIBackPinDiam+ARing+Clearance), \
    mm2mils100(CUIBackPinDiam), \
    '"1" "1"', '0x0001', ']'

print '   ElementLine[', \
  	mm2mils100(0), \
	mm2mils100(-BoxWidth/2), \
	mm2mils100(BoxDepth), \
	mm2mils100(-BoxWidth/2), \
	LineWidth, ']'

print '   ElementLine[', \
  	mm2mils100(0), \
	mm2mils100(+BoxWidth/2), \
	mm2mils100(BoxDepth), \
	mm2mils100(+BoxWidth/2), \
	LineWidth, ']'
  
print '   ElementLine[', \
  	mm2mils100(0), \
	mm2mils100(+BoxWidth/2), \
	mm2mils100(0), \
	mm2mils100(-BoxWidth/2), \
	LineWidth, ']'
  
print '   ElementLine[', \
  	mm2mils100(BoxDepth), \
	mm2mils100(+BoxWidth/2), \
	mm2mils100(BoxDepth), \
	mm2mils100(-BoxWidth/2), \
	LineWidth, ']'
  
print ")"
